Internal speaker muted after a while, several Realtek codecs (Quantal)

Bug #1064621 reported by Mike Pasche on 2012-10-09
110
This bug affects 19 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
David Henningsson
Quantal
Undecided
David Henningsson

Bug Description

Symptom:

Internal speaker output works on boot, but after some seconds of silence, or after suspend-resume, internal speaker stops working. When analyzing alsa-info, the internal speaker pin's Pin-Ctl is "0x0" instead of "0x40: OUT".

Patch that needs backporting:

http://git.kernel.org/?p=linux/kernel/git/tiwai/sound.git;a=commit;h=f7f4b2322bf7b8c5929b7eb5a667091f32592580

Current workaround:

Installing https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS will resolve the problem. Also turning off "Automute mode" in alsamixer might help for some people.

=======

My speakers and sound work fine, including internal speakers and HDMI digital out. When I suspend by closing the lid, then open the lid, there is no sound until reboot.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: alsa-base 1.0.25+dfsg-0ubuntu3
ProcVersionSignature: Ubuntu 3.5.0-17.27-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
ApportVersion: 2.6.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mike 1839 F.... pulseaudio
Date: Tue Oct 9 15:34:20 2012
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_Card: Built-in Audio - HDA Intel PCH
Symptom_Jack: Speaker, Internal
Symptom_Type: Sound works for a while, then breaks
Title: [2359CTO, Realtek ALC269VC, Speaker, Internal] fails after a while
UpgradeStatus: Upgraded to quantal on 2012-09-29 (10 days ago)
dmi.bios.date: 05/29/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: G4ET37WW (1.12 )
dmi.board.asset.tag: Not Available
dmi.board.name: 2359CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrG4ET37WW(1.12):bd05/29/2012:svnLENOVO:pn2359CTO:pvrThinkPadT530:rvnLENOVO:rn2359CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 2359CTO
dmi.product.version: ThinkPad T530
dmi.sys.vendor: LENOVO

Mike Pasche (mike-d-pasche) wrote :
Raymond (superquad-vortex2) wrote :

is 0x0004, suspending
Oct 9 15:35:05 ncc-ThinkPad-T530 pulseaudio[1839]: ( 18.786| 0.000) [alsa-sink] alsa-sink.c: Device suspended...
Oct 9 15:35:05 ncc-ThinkPad-T530 pulseaudio[1839]: ( 18.786| 0.000) [pulseaudio] module-udev-detect.c: /dev/snd/controlC0 is accessible: yes
Oct 9 15:35:15 ncc-ThinkPad-T530 pulseaudio[1839]: ( 23.357| 4.570) [alsa-source] alsa-util.c: Got POLLERR from ALSA
Oct 9 15:35:15 ncc-ThinkPad-T530 pulseaudio[1839]: ( 23.357| 0.000) [alsa-source] alsa-util.c: Got POLLIN from ALSA
Oct 9 15:35:15 ncc-ThinkPad-T530 pulseaudio[1839]: ( 23.357| 0.000) [alsa-source] alsa-util.c: PCM state is SUSPENDED
Oct 9 15:35:15 ncc-ThinkPad-T530 pulseaudio[1839]: ( 23.357| 0.000) [alsa-source] (alsa-lib)pcm_hw.c: SNDRV_PCM_IOCTL_RESUME failed (-38)
Oct 9 15:35:15 ncc-ThinkPad-T530 pulseaudio[1839]: ( 23.362| 0.005) [alsa-source] alsa-source.c: Starting capture.
Oct 9 15:35:15 ncc-ThinkPad-T530 pulseaudio[1839]: ( 23.393| 0.030) [pulseaudio] module-device-restore.c: Synced.
Oct 9 15:35:16 ncc-ThinkPad-T530 pulseaudio[1839]: ( 24.211| 0.817) [alsa-source] ratelimit.c: 112 events suppressed
Oct 9 15:35:16 ncc-ThinkPad-T530 pulseaudio[1839]: ( 24.211| 0.000) [alsa-source] alsa-source.c: Overrun!
Oct 9 15:35:16 ncc-ThinkPad-T530 pulseaudio[1839]: ( 24.211| 0.000) [alsa-source] alsa-source.c: Increasing minimal latency to 2.00 ms
Oct 9 15:35:16 ncc-ThinkPad-T530 pulseaudio[1839]: ( 24.211| 0.000) [alsa-source] alsa-source.c: latency set to 20.00ms
Oct 9 15:35:16 ncc-ThinkPad-T530 pulseaudio[1839]: ( 24.211| 0.000) [alsa-source] alsa-source.c: hwbuf_unused=62008
Oct 9 15:35:16 ncc-ThinkPad-T530 pulseaudio[1839]: ( 24.211| 0.000) [alsa-source] alsa-source.c: setting avail_min=442

summary: - [2359CTO, Realtek ALC269VC, Speaker, Internal] fails after a while
+ Internal speaker muted after a while, several Realtek codecs (Quantal)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
description: updated
affects: alsa-driver (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → New
status: New → In Progress
assignee: nobody → David Henningsson (diwic)
Raymond (superquad-vortex2) wrote :

does the patch really fix the problem since this bug seem related to suspend / resume ?

Oct 9 15:35:15 ncc-ThinkPad-T530 pulseaudio[1839]: ( 23.357| 4.570) [alsa-source] alsa-util.c: Got POLLERR from ALSA
Oct 9 15:35:15 ncc-ThinkPad-T530 pulseaudio[1839]: ( 23.357| 0.000) [alsa-source] alsa-util.c: Got POLLIN from ALSA
Oct 9 15:35:15 ncc-ThinkPad-T530 pulseaudio[1839]: ( 23.357| 0.000) [alsa-source] alsa-util.c: PCM state is SUSPENDED
Oct 9 15:35:15 ncc-ThinkPad-T530 pulseaudio[1839]: ( 23.357| 0.000) [alsa-source] (alsa-lib)pcm_hw.c: SNDRV_PCM_IOCTL_RESUME failed (-38)

Tim Gardner (timg-tpi) on 2012-10-12
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Jamin W. Collins (jcollins) wrote :

This indicates a fix has been committed, which package version contains the fix?

David Henningsson (diwic) wrote :

commit d075dea7bfe6a6243c7455a7d60272b24787805c
Author: David Henningsson <email address hidden>
Date: Wed Oct 10 16:32:09 2012 +0200

    ALSA: hda - do not detect jack on internal speakers for Realtek

Should be in Ubuntu-3.5.0-18.29~143, if my git knowledge does not fail me.

Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Quantal in -proposed solves the problem (3.5.0-18.29). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-quantal' to 'verification-done-quantal'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Jamin W. Collins (jcollins) wrote :

Latest kernel I see in proposed is 3.5.0.18.21:

$ apt-cache policy linux-image
linux-image:
  Installed: 3.5.0.17.19
  Candidate: 3.5.0.18.21
  Version table:
     3.5.0.18.21 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal-proposed/main amd64 Packages
 *** 3.5.0.17.19 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal/main amd64 Packages
        100 /var/lib/dpkg/status

$ apt-cache policy linux-image-lowlatency
linux-image-lowlatency:
  Installed: (none)
  Candidate: 3.5.0.18.18
  Version table:
     3.5.0.18.18 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal-proposed/universe amd64 Packages
     3.5.0.17.15 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal/universe amd64 Packages

Luis Henriques (henrix) wrote :

Jamin, you're looking at the linux meta package version. You should be able to see the package version with 'apt-cache show linux-image-3.5.0-18-generic'. Thanks.

Jamin W. Collins (jcollins) wrote :

The kernel does not fix it. Booting from the referenced kernel results in: no wireless and no sound. Pulse seems to indicate something is playing, but nothing can be heard. Furthermore alsamixer shows no devices while operating under that kernel. I'm reverting this to Confirmed rather than Fix Committed as the proposed kernel with the fix does not work.

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Confirmed
Changed in linux (Ubuntu):
status: Fix Committed → Confirmed
Luis Henriques (henrix) wrote :

Jamin, thank you for testing. I'm assuming you've seen the exact same issue as the original bug reporter. Is this correct? Since you now experience some wireless issues as well, is it possible that you're hitting a different bug?

Mike (or other people seeing the original issue): could you please test this kernel as well?

Jamin W. Collins (jcollins) wrote :

Same issue as the original reporter. My wireless works fine until I attempt to use the kernel proposed to fix the reported issue (sound being muted or going away after suspend). The alsa-hda-dkms packages do fix the sound issue, the proposed kernel does not fix the sound issue and introduces new issues (no wireless).

Daniel Cordeiro (dcordeiro) wrote :

I'm using the current kernel and I'm having also problems with the wireless card. It sometimes takes a long time until it is able to connect to a wireless network (if I put the notebook to sleep it happens more often, but it also happens when I just turn it on).

Is this wireless problem related to this particular bug fixed on the new kernel?

Jamin W. Collins (jcollins) wrote :

@dcordeiro,

This report has nothing to do with wireless, other than the kernel proposed to fix the audio issue introducing a wireless issue.

David Henningsson (diwic) wrote :

@jcollins, could you attach alsa-info (https://wiki.ubuntu.com/Audio/AlsaInfo ) to this bug? I want to verify that you're hitting this bug and not another. Thanks!

Jamin W. Collins (jcollins) wrote :

Here you go.

David Henningsson (diwic) wrote :

@jcollins, thanks. Was the alsa-info retreived when the speaker was non-functional? If so, according to the alsa-info, you indeed have the 0x40: OUT on the speaker pin, so you're seeing a different bug.

I was also unable to reproduce the symptom (0x40: OUT missing for speaker pin) in the emulator, with the latest quantal kernel.

Jamin W. Collins (jcollins) wrote :

No, I have the alsa-hda-dkms package applied which fixes the bug and had headphones in at the time that was run. There was nothing in your request indicating that you wanted to see the alsa info from when the system was impaired. That will take some work as I will need to remove alsa-hda-dkms and reproduce the issue, but I can certainly do that for you. I'll update the report a bit later with the replication.

Andre (ajx) wrote :

Affected hardware here: Lenovo Thinkpad T430s. Suppose the Lenovo Thinkpad T430 is affected too. Got it fixed by setting "auto-mute" to "disabled" in AlsaMixer as described by Mike (thanks!). However, this workaround possibly causes a problem when switching (plugging in) to USB-soundcard (what never was a problem on Oneiric and Precise).

Jamin W. Collins (jcollins) wrote :

Took a bit to replicate as I'd turned "auto-mute" off. Once I realized that it was short work to replicate the issue again. Attached is the output while there is no sound and nothing connected to the headphone jack.

David Henningsson (diwic) wrote :

@jcollins,
Judging from your latest alsa-info, it seems like you're running the 3.5.0-17 kernel. This bug isn't fixed unless you run the 3.5.0-18 (.29 or more) kernel.

Hossein Atashi (atashi.h) wrote :

I think I have the same issue on a Lenovo ThinkPad X230. Turning off "Auto-Mute" DOES NOT solve the problem in any way for me. I haven't tried the DKMS method or the new kernel. I will do that as soon as possible and report back.

Since I'm not sure whether we have the same hardware configuration (and therefore experiencing the same bug), here is some infor about my configuration:

hossein@hossein-ThinkPad-X230:~$ cat /proc/asound/card0/codec#* | grep Codec
Codec: Realtek ALC269VC
Codec: Intel PantherPoint HDMI

hossein@hossein-ThinkPad-X230:~$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC269VC Analog [ALC269VC Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Hossein Atashi (atashi.h) wrote :

OK, I tried the new kernel. Just as Jamin said, not only it doesn't solve the sound problem, it breaks the wireless card as well. Actually, with the new kernel, no sound device was detected on my machine at all! I'm attaching the Alsa-Info.

P.S I don't know if everyone is experiencing the same issue as mine. But mine seems to be an intemittent problem. For example right now, I DO have sound from my internal speaker, using the 3.5.0-17 kernel (a few minutes after boot). But sometimes I lose sound in a matter of seconds after logging in.

Hossein Atashi (atashi.h) wrote :

I tried the DKMS method, and it does work for me. About my last comment, it turns out the only reason that I didn't lose sound last time (on 3.5.0-17) was that I had enabled Dock Mic by accident (when playing with alsa-mixer) which caused a "hiss" sound to play all the time, and prevented the "few seconds of scilence" required to sensitize the problem. I muted the microphones and I lost the sound from internal microphone again.

Jamin W. Collins (jcollins) wrote :

@diwic
You are correct, I am running 3.5.0-17-generic. As I indicated previously the proposed kernel results in no sound at all and other breakage. There is no reason I would continue to run it. It is utterly unusable as it results in no wireless at all, and a laptop without wireless is rather pointless.

It seems that you have specific testing in mind. Please be specific with the testing that you would like to see performed:
- What kernel would you like used?
- Do you want anything connected to the headphone jack?
- Do you want the alsa-info from when the system has or does not have sound?
- Any other specific criteria?

Colin Ian King (colin-king) wrote :

I was suffering from this bug on an Lenovo X230, the -proposed kernel fixes the problem for me

uname -a
Linux lenovo 3.5.0-18-generic #29-Ubuntu SMP Fri Oct 19 10:26:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

I've tested it with suspend/resume and also waited a while and started playing audio. Before using this -proposed kernel audio would die after several minutes of non-use.

Luis Henriques (henrix) wrote :

As per Colin King's comment #26, I'm tagging this issue as verified in Quantal.

Jamin (and others with similar issues): the kernel you would need to test is the 3.5.0-18. You can test this kernel by enabling the -proposed pocket as stated in comment #7. If you still have problems with this kernel, could you please open a new bug report? You seem to be hitting a different issue (specially regarding the wifi problem, which has definitely nothing to do with this bug).

tags: added: verification-done-quantal
removed: verification-needed-quantal
Jamin W. Collins (jcollins) wrote :

@henrix

While the wifi issue may be another bug, the fact that there is no sound with the proposed kernel is relevant to this report. You have two confirmations that the proposed kernel results in no sound (mine and atashi.h's).

Hossein Atashi (atashi.h) wrote :

OK, my bad (and probably Jamin's). I had only installed linux-image-3.5.0-18-generic, while infact I needed to install linux-headers-3.5.0-18-generic and linux-image-extra-3.5.0-18-generic as well. After I installed all packages, I have wireless back, and the sound works as well. I think Jamin has made the same mistake. I apologize for my mistakes.

Jamin W. Collins (jcollins) wrote :

I definitely did not install the extras package, but had installed both the image and headers. I'm installing the extras package now, and will retest later.

Luis Henriques (henrix) wrote :

Hossein, that's great! Thank you for figuring that out and for the testing.

Jamin W. Collins (jcollins) wrote :

With all three packages installed, the proposed kernel does seem to resolve the audio issue without creating any obvious issues.

Hotwheelz (hot-wheelz79) wrote :

Tried removing alsa-hda-dkms as per https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS

but was unable to locate package.

Thanks.

:-)

Hotwheelz (hot-wheelz79) wrote :

Hi,

Updating to the proposed kernel kernel seems to have fixed the issue I will keep you posted

More info:
https://wiki.ubuntu.com/Testing/EnableProposed

Just select kernel updated from the list of proposed updates

Changed in linux (Ubuntu Quantal):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (16.4 KiB)

This bug was fixed in the package linux - 3.5.0-18.29

---------------
linux (3.5.0-18.29) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1068224

  [ Andy Whitcroft ]

  * [packaging] do not fail secure copy on older kernels
  * SAUCE: efivarfs: efivarfs_file_read ensure we free data in error paths
    - LP: #1063061
  * SAUCE: efivars: efivarfs_create() ensure we drop our reference on inode
    on error
    - LP: #1063061
  * SAUCE: efivarfs: efivarfs_fill_super() fix inode reference counts
    - LP: #1063061
  * SAUCE: efivarfs: efivarfs_fill_super() ensure we free our temporary
    name
    - LP: #1063061
  * SAUCE: efivarfs: efivarfs_fill_super() ensure we clean up correctly on
    error
    - LP: #1063061
  * [Config] add fs/udf to linux-image to support DVD/CD formats in virtual
    instances
    - LP: #1066921

  [ Jeremy Kerr ]

  * SAUCE: efi: Handle deletions and size changes in efivarfs_write_file
    - LP: #1063061
  * SAUCE: efivarfs: Implement exclusive access for {get, set}_variable
    - LP: #1063061

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad list additional contributors

  [ Kyle Fazzari ]

  * SAUCE: input: Cypress PS/2 Trackpad fix lost sync upon palm contact
    - LP: #1048258
  * SAUCE: input: Cypress PS/2 Trackpad fix taps turning into hardware
    clicks
    - LP: #1064086

  [ Leann Ogasawara ]

  * Revert "SAUCE: ext4: fix crash when accessing /proc/mounts
    concurrently"
    - LP: #1066176
  * Revert "SAUCE: ALSA: hda/realtek - Fix detection of ALC271X codec"
    - LP: #1066176

  [ Lee, Chun-Yi ]

  * SAUCE: efi: add efivars kobject to efi sysfs folder
    - LP: #1063061

  [ Matt Fleming ]

  * SAUCE: efivarfs: Add documentation for the EFI variable filesystem
    - LP: #1063061

  [ Matthew Garrett ]

  * SAUCE: efi: Add support for a UEFI variable filesystem
    - LP: #1063061

  [ Sarveshwar Bandi ]

  * SAUCE: bridge: Pull ip header into skb->data before looking into ip
    header.
    - LP: #1065150

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: correctly order the ring init sequence"
    - LP: #1066176
  * vfs: dcache: fix deadlock in tree traversal
    - LP: #1063761
  * dm mpath: only retry ioctl when no paths if queue_if_no_path set
    - LP: #1063761
  * dm: handle requests beyond end of device instead of using BUG_ON
    - LP: #1063761
  * dm table: clear add_random unless all devices have it set
    - LP: #1063761
  * dm verity: fix overflow check
    - LP: #1063761
  * usb: gadget: make g_printer enumerate again
    - LP: #1063761
  * usb: gadget: initialize the strings in tcm_usb_gadget properly
    - LP: #1063761
  * USB: option: blacklist QMI interface on ZTE MF683
    - LP: #1063761
  * USB: ftdi_sio: add TIAO USB Multi-Protocol Adapter (TUMPA) support
    - LP: #1063761
  * USB: qcaux: add Pantech vendor class match
    - LP: #1063761
  * usb: host: xhci: Fix Null pointer dereferencing with 71c731a for
    non-x86 systems
    - LP: #1063761
  * USB: serial: fix up bug with missing {}
    - LP: #1063761
  * staging: speakup_soft: Fix reading of init string
    - LP: #1063761
  * tty: keyboard.c: Remove locking from vt_get_leds.
  ...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu laptop testing tracker.

A list of all reports related to this bug can be found here:
http://laptop.qa.ubuntu.com/qatracker/reports/bugs/1064621

tags: added: laptop-testing
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers